Name:           libgee
Version:        0.20.6
Release:        2
Summary:        An utility library providing GObject-based interfaces and classes
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Libgee
Source0:        https://download.gnome.org/sources/libgee/0.20/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel gobject-introspection-devel make

%description
Libgee is an utility library providing GObject-based interfaces and classes for commonly used data
structures.Libgee is written in Vala and can be used like any GObject-based C library.
It's planned to provide bindings for further languages.

%package        devel
Summary:        Development files and Header files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install \
    typelibdir=%{_libdir}/girepository-1.0 \
    girdir=%{_datadir}/gir-1.0
%delete_la

%check
%make_build check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gee-0.8.pc
%{_datadir}/vala/vapi/*
%{_datadir}/gir-1.0/*.gir

%files help
%defattr(-,root,root)
%doc NEWS README AUTHORS MAINTAINERS

%changelog
* Thu Feb 16 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 0.20.6-2
- Enable check

* Mon Jan 2 2023 weijin deng <weijin.deng@turbolinux.com.cn> - 0.20.6-1
- Update to 0.20.6

* Thu Apr 21 2022 dillon chen <dillon.chen@gmail.com> - 0.20.5-1
- Update to 0.20.5

* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 0.20.4-1
- Upgrade to 0.20.4
- Update Version, stage 'check' and 'files'

* Wed Jan 27 2021 hanhui <hanhui15@huawei.com> - 0.20.3-1
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: update to 0.20.3

* Tue Sep 03 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.20.1-5
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: rebuilt spec, add help package.

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.20.1-4
- Type: bugfix
- ID:   NA
- SUG:  NA
- DESC: openEuler Debranding

* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.20.1-3
- Package init
